www/p5-Catalyst-Devel - The NetBSD Packages Collection

Development tool kit for Catalyst

The Catalyst::Devel package includes a variety of modules useful
for the development of Catalyst applications, but not required to
run them. This is intended to make it easier to deploy Catalyst
apps. The runtime parts of Catalyst are now known as Catalyst::Runtime.

Catalyst::Devel includes the Catalyst::Helper system, which
autogenerates scripts and tests; Module::Install::Catalyst, a
Module::Install extension for Catalyst; and requirements for a
variety of development-related modules. The documentation remains
with Catalyst::Runtime.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

www/p5-Catalyst-Action-RenderView www/p5-Catalyst-Plugin-ConfigLoader www/p5-Catalyst-Plugin-Static-Simple www/p5-Catalyst-Runtime devel/p5-Config-General devel/p5-File-ChangeNotify sysutils/p5-File-Copy-Recursive devel/p5-File-ShareDir devel/p5-Module-Install devel/p5-Moose devel/p5-MooseX-Emulate-Class-Accessor-Fast devel/p5-Path-Class www/p5-Template-Toolkit devel/p5-namespace-autoclean devel/p5-namespace-clean lang/perl5 lang/perl5

Available binary packages

aarch64:p5-Catalyst-Devel-1.40.tgz(NetBSD 9.0)
aarch64:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
aarch64:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
earm:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
earmv6hf:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
earmv6hf:p5-Catalyst-Devel-1.40.tgz(NetBSD 9.0)
earmv6hf:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
earmv6hf:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
earmv7hf:p5-Catalyst-Devel-1.42.tgz(NetBSD 8.0)
earmv7hf:p5-Catalyst-Devel-1.40.tgz(NetBSD 8.0)
earmv7hf:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
earmv7hf:p5-Catalyst-Devel-1.40.tgz(NetBSD 9.0)
earmv7hf:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
earmv7hf:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
i386:p5-Catalyst-Devel-1.40.tgz(NetBSD 8.0)
i386:p5-Catalyst-Devel-1.42.tgz(NetBSD 8.0)
i386:p5-Catalyst-Devel-1.42.tgz(NetBSD 8.0)
i386:p5-Catalyst-Devel-1.40.tgz(NetBSD 9.0)
i386:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
i386:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
powerpc:p5-Catalyst-Devel-1.42.tgz(NetBSD 8.0)
powerpc:p5-Catalyst-Devel-1.42.tgz(NetBSD 8.0)
powerpc:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
powerpc:p5-Catalyst-Devel-1.40.tgz(NetBSD 9.0)
powerpc:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
x86_64:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
x86_64:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
x86_64:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
x86_64:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
x86_64:p5-Catalyst-Devel-1.42.tgz(NetBSD 8.0)
x86_64:p5-Catalyst-Devel-1.40.tgz(NetBSD 8.0)
x86_64:p5-Catalyst-Devel-1.42.tgz(NetBSD 8.0)
x86_64:p5-Catalyst-Devel-1.40.tgz(NetBSD 9.0)
x86_64:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
x86_64:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)
x86_64:p5-Catalyst-Devel-1.42.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]